# Class SnpSiftCmdConcordance

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdConcordance

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdConcordance extends SnpSift
Calculate genotyping concordance between two VCF files. Typical usage: Calculate concordance between sequencing experiment and genotypting experiment.

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.snpeff.vcf.VcfEntry`
`latestVcfEntry`
`static final String`
`MISSING_ENTRY`
`static final String`
`MISSING_GENOTYPE`
`static final String`
`SEP`
`static final String`
`SEP_GT`
`static final int`
`SHOW_EVERY`

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdConcordance()`
`SnpSiftCmdConcordance(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`org.snpeff.stats.CountByType`
`getConcordance()`
`org.snpeff.collections.AutoHashMap<String, org.snpeff.stats.CountByType>`
`getConcordanceBySample()`
`int`
`getCountEntries()`
`void`
`init()`
Initialize default values
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
`void`
`setWriteBySampleFile(boolean writeBySampleFile)`
`void`
`setWriteSummaryFile(boolean writeSummaryFile)`
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MISSING_GENOTYPE

public static final String MISSING_GENOTYPE

See Also:
  - Constant Field Values

### MISSING_ENTRY

public static final String MISSING_ENTRY

See Also:
  - Constant Field Values

### SEP

public static final String SEP

See Also:
  - Constant Field Values

### SEP_GT

public static final String SEP_GT

See Also:
  - Constant Field Values

### SHOW_EVERY

public static final int SHOW_EVERY

See Also:
  - Constant Field Values

### latestVcfEntry

protected org.snpeff.vcf.VcfEntry latestVcfEntry

## Constructor Details

### SnpSiftCmdConcordance

public SnpSiftCmdConcordance()

### SnpSiftCmdConcordance

public SnpSiftCmdConcordance(String[] args)

## Method Details

### getConcordance

public org.snpeff.stats.CountByType getConcordance()

### getConcordanceBySample

public org.snpeff.collections.AutoHashMap<String, org.snpeff.stats.CountByType> getConcordanceBySample()

### getCountEntries

public int getCountEntries()

### init

public void init()
Description copied from class: `SnpSift`
Initialize default values

Overrides:
  `init` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### setWriteBySampleFile

public void setWriteBySampleFile(boolean writeBySampleFile)

### setWriteSummaryFile

public void setWriteSummaryFile(boolean writeSummaryFile)

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`